{{ $id := .Get "id" | default "carouselId" }}
<!-- TODO: Add param to enable indicators -->
{{ $showIndicators := false }}

{{ $posts := (where .Site.Pages "Params.Banner.Active" "eq" true)}}


<!-- If there are more than one posts, add the carousel-->
{{ if gt (len $posts) 1 }}
<div id="{{ $id }}" class="carousel slide" data-bs-ride="carousel">
{{ if eq $showIndicators true}}
    <div class="carousel-indicators">
{{ range $index,$post := $posts }}
        <button type="button" data-bs-target="#{{ $id }}" data-bs-slide-to="{{$index}}" {{ if eq $index 0 }}class="active" aria-current="true" {{ end }} aria-label="Slide {{ $index }}"></button>
{{ end }}
    </div>
{{ end }}
    <div class="carousel-inner">
{{ range $index,$post := $posts }}
        <div class="carousel-item {{ if eq $index 0 }}active{{ end }}">
            <div class="card banner bg-light text-light">
                {{ with (dict "Page" .Page "Site" .Site "params" .Params.banner)}}
                    {{ partial "banner" . }}
                {{ end }}
            </div>
      </div>
{{ end }}
    </div>
    <button class="carousel-control-prev" type="button" data-bs-target="#{{ $id }}" data-bs-slide="prev">
      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
      <span class="visually-hidden">Previous</span>
    </button>
    <button class="carousel-control-next" type="button" data-bs-target="#{{ $id }}" data-bs-slide="next">
      <span class="carousel-control-next-icon" aria-hidden="true"></span>
      <span class="visually-hidden">Next</span>
    </button>
</div>

{{ else if (eq (len $posts) 1) }}
<!-- Else, if there is just one post, add the banner-->
{{ range $posts }}
    {{ with (dict "Page" .Page "ctx" .Params.banner)}}
        {{ partial "banner" . }}
    {{ end }}
{{ end }}
{{ end }}

